Bug 1178141 - infinite recursion in array_toString() crashes js
Summary: infinite recursion in array_toString() crashes js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: js
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-02 14:36 UTC by Kamil Dudka
Modified: 2015-04-26 13:00 UTC (History)
1 user (show)

Fixed In Version: js-1.8.5-21.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-22 22:52:30 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 635389 None None None Never

Description Kamil Dudka 2015-01-02 14:36:20 UTC
Description of problem:
$ js
js> var x = [];
js> x.join = x.toString;
function toString() {[native code]}
js> "" + x;
zsh: segmentation fault (core dumped)  js


Version-Release number of selected component (if applicable):
js-1.8.5-19.fc21.x86_64


Additional info:
https://bugzilla.mozilla.org/show_bug.cgi?id=635389

Comment 1 Pavel Alexeev 2015-04-14 22:18:52 UTC
Thank you for the bugreport, Kamil

Comment 2 Fedora Update System 2015-04-15 18:49:04 UTC
js-1.8.5-21.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/js-1.8.5-21.fc21

Comment 3 Fedora Update System 2015-04-15 18:50:02 UTC
js-1.8.5-21.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/js-1.8.5-21.fc22

Comment 4 Fedora Update System 2015-04-17 18:36:05 UTC
Package js-1.8.5-21.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing js-1.8.5-21.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6226/js-1.8.5-21.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-22 22:52:30 UTC
js-1.8.5-21.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-26 13:00:00 UTC
js-1.8.5-21.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.